Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.queue
Class QueuePeer

    java.lang.Object
      org.jboss.messaging.core.distributed.PeerSupport
          org.jboss.messaging.core.distributed.queue.QueuePeer

All Implemented Interfaces:
  Peer, PeerFacade, QueueFacade, ServerFacade

public class QueuePeer
extends PeerSupport
implements QueueFacade

The class that mediates the access of a distributed queue instance to the group.

Version:
  `$Revision: 1.6 $` $Id: QueuePeer.java,v 1.6 2006/02/28 16:48:13 timfox Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected java.io.Serializable` | `pipeID`
`protected DistributedQueue` | `queue`

Fields inherited from class org.jboss.messaging.core.distributed.PeerSupport
`dispatcher, joined, peerID, rpcServer, TIMEOUT, viewKeeper`

Constructor Summary
`QueuePeer(DistributedQueue queue, RpcDispatcher dispatcher)`

Method Summary
`protected RemotePeer` | `createRemotePeer(RemotePeerInfo thatPeerInfo)` Create a local representation of a remote peer.
`protected void` | `doJoin()`
`protected void` | `doLeave()`
`boolean` | `forward(PeerIdentity targetID)` TODO: experimental The originator requests the first undelivered message maintained by this queue peer to be forwared to it.
`protected RemotePeerInfo` | `getRemotePeerInfo()` Create a representation of myself to be returned to other peers that need this information.
`java.util.List` | `remoteBrowse(PeerIdentity originator, Filter filter)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.distributed.PeerSupport
`exclude, getDispatcher, getGroupID, getID, getPeerIdentity, getView, hasJoined, include, join, leave, ping, ping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.messaging.core.distributed.PeerFacade
`exclude, include, ping`

Methods inherited from interface org.jboss.messaging.core.distributed.util.ServerFacade
`getID`

Field Detail

### pipeID

    protected java.io.Serializable pipeID

### queue

    protected DistributedQueue queue

Constructor Detail

### QueuePeer

    public QueuePeer(DistributedQueue queue,
                     RpcDispatcher dispatcher)

Method Detail

### remoteBrowse

    public java.util.List remoteBrowse(PeerIdentity originator,
                                       Filter filter)

  Specified by:
    `remoteBrowse` in interface `QueueFacade`

### forward

    public boolean forward(PeerIdentity targetID)

  Description copied from interface: `QueueFacade`
  TODO: experimental The originator requests the first undelivered message maintained by this queue peer to be forwared to it. This queue peer should return true if it has undelivered messages and it asynchronously initiated the forwarding process, or false otherwise.

  Specified by:
    `forward` in interface `QueueFacade`

### toString

    public java.lang.String toString()

### doJoin

    protected void doJoin()
                   throws DistributedException

  Specified by:
    `doJoin` in class `PeerSupport`
  Throws:
    `DistributedException`

### doLeave

    protected void doLeave()
                    throws DistributedException

  Specified by:
    `doLeave` in class `PeerSupport`
  Throws:
    `DistributedException`

### createRemotePeer

    protected RemotePeer createRemotePeer(RemotePeerInfo thatPeerInfo)

  Description copied from class: `PeerSupport`
  Create a local representation of a remote peer.

  Specified by:
    `createRemotePeer` in class `PeerSupport`

### getRemotePeerInfo

    protected RemotePeerInfo getRemotePeerInfo()

  Description copied from class: `PeerSupport`
  Create a representation of myself to be returned to other peers that need this information.

  Specified by:
    `getRemotePeerInfo` in class `PeerSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.